Skip to main content
`Ctrl`+`K`

# MatMPIAdjToSeqRankZero

Converts an parallel `MATMPIADJ` matrix to complete `MATMPIADJ` on rank zero (needed by sequential partitioners)

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMPIAdjToSeqRankZero(Mat A, Mat *B)

Logically Collective

## Input Parameter

- A - the matrix

## Output Parameter

- B - the same matrix on rank zero, not set on other ranks

## Note

This routine has the advantage on systems with multiple ranks per node since only one copy of the matrix is stored on the first node, instead of the number of ranks copies. This can allow partitioning much larger parallel graph sequentially.

## See Also

Matrices, `Mat`, `MATMPIADJ`, `MatCreate()`, `MatCreateMPIAdj()`, `MatSetValues()`, `MatMPIAdjToSeq()`

## Level

intermediate

## Location

src/mat/impls/adj/mpi/mpiadj.c

## Implementations

MatMPIAdjToSeqRankZero_MPIAdj() in src/mat/impls/adj/mpi/mpiadj.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages